package termopl;

@SuppressWarnings("serial")
public class UDToken extends Token implements Comparable<UDToken>
{
	
	public String UDPos;
	public String UDTag;
	public String UDRel;
	public int UDLink;
	public int index;
	
	public UDToken(String form, String lemma, String ctag, String UDPos, String UDTag, String UDRel, int index, int UDLink, boolean spaceAfter)
	{
		super(form, lemma, ctag, spaceAfter);
		this.UDPos = UDPos;
		this.UDTag = UDTag;
		this.UDRel = UDRel;
		this.index = index;
		this.UDLink = UDLink;
	}
	
	public int compareTo(UDToken t) 
	{
		return index - t.index;
	}
	
}
